Browser Validator

Browser Validator

Tufts Medicine Online Services utilizes modern web technologies to enhance its ease-of-use and functionality. In order to support these technologies, your web browser must meet certain basic requirements. A test of these requirements is being conducted automatically. If any problems are found, they will be listed below.

You appear to be using Unknown 0.0, an unsupported browser.

In order to use Tufts Medicine Online Services, you will need to download and install a supported browser.

Currently, first-tier support is available for
Mozilla Firefox 26.0, Safari 5.1, Internet Explorer 11.0, Google Chrome 32.0
or a newer version of one of these browsers.

If you are unsure how to upgrade to one of the supported browsers, please refer to this page's help section, available by clicking the blue question mark icon above.